/*
 * Copyright (C) 2021-2022 Red Hat, Inc.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, see <http://www.gnu.org/licenses/>.
 */

#ifndef META_WAYLAND_TEST_UTILS_H
#define META_WAYLAND_TEST_UTILS_H

#include "meta/meta-context.h"

typedef struct _MetaWaylandTestClient MetaWaylandTestClient;

MetaWaylandTestClient * meta_wayland_test_client_new (MetaContext *context,
                                                      const char  *test_client_name);

void meta_wayland_test_client_finish (MetaWaylandTestClient *wayland_test_client);

MetaWindow * meta_find_client_window (MetaContext *context,
                                      const char  *title);

MetaWindow * meta_wait_for_client_window (MetaContext *context,
                                          const char  *title);

#endif /* META_WAYLAND_TEST_UTILS_H */
